IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_286_SAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_286_SAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT
GO

CREATE PROCEDURE [dbo].[SPUSS_286_SAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT] 
	@HDOSYAID INT=0,
	@HKUDUZRISKLITEMAS INT=0,
	@TUMUNUTEKRAR BIT = 0	 
AS
BEGIN
	--SPUSS_286_SAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT 165779,0,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @GONDERIMTABLOSU TABLE 
		(
			GONDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)


	IF OBJECT_ID('tempdb..#TMPDOSYA') IS NOT NULL 
		DROP TABLE #TMPDOSYA

	IF OBJECT_ID('tempdb..#TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT') IS NOT NULL 
		DROP TABLE #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT

    IF OBJECT_ID('tempdb..#TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT_ISL') IS NOT NULL 
		DROP TABLE #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT_ISL

    IF OBJECT_ID('tempdb..#TMPTANI') IS NOT NULL 
		DROP TABLE #TMPTANI

	IF OBJECT_ID('tempdb..#TMPBOLGELER') IS NOT NULL 
		DROP TABLE #TMPBOLGELER

   SELECT * INTO #TMPBOLGELER FROM
   (
		SELECT 'ALIN' ACIKLAMA,	1 KOD UNION ALL 
		SELECT 'BOYUN' ACIKLAMA,	10 KOD UNION ALL 
		SELECT 'BURUN' ACIKLAMA,	11 KOD UNION ALL 
		SELECT 'DİRSEK SAĞ' ACIKLAMA,	12 KOD UNION ALL 
		SELECT 'DİRSEK SOL' ACIKLAMA,	13 KOD UNION ALL 
		SELECT 'DİŞLER' ACIKLAMA,	14 KOD UNION ALL 
		SELECT 'DİZ SAĞ' ACIKLAMA,	15 KOD UNION ALL 
		SELECT 'DİZ SOL' ACIKLAMA,	16 KOD UNION ALL 
		SELECT 'EL BAŞ PARMAK SAĞ' ACIKLAMA,	17 KOD UNION ALL 
		SELECT 'EL BAŞ PARMAK SOL' ACIKLAMA,	18 KOD UNION ALL 
		SELECT 'EL BİLEĞİ SAĞ' ACIKLAMA,	19 KOD UNION ALL 
		SELECT 'AYAK BİLEĞİ SAĞ' ACIKLAMA,	2 KOD UNION ALL 
		SELECT 'EL BİLEĞİ SOL' ACIKLAMA,	20 KOD UNION ALL 
		SELECT 'EL İŞARET PARMAK SAĞ' ACIKLAMA,	21 KOD UNION ALL 
		SELECT 'EL İŞARET PARMAK SOL' ACIKLAMA,	22 KOD UNION ALL 
		SELECT 'EL ORTA PARMAK SAĞ' ACIKLAMA,	23 KOD UNION ALL 
		SELECT 'EL ORTA PARMAK SOL' ACIKLAMA,	24 KOD UNION ALL 
		SELECT 'EL SAĞ' ACIKLAMA,	25 KOD UNION ALL 
		SELECT 'EL SERÇE PARMAK SAĞ' ACIKLAMA,	26 KOD UNION ALL 
		SELECT 'EL SERÇE PARMAK SOL' ACIKLAMA,	27 KOD UNION ALL 
		SELECT 'EL SOL' ACIKLAMA,	28 KOD UNION ALL 
		SELECT 'EL YÜZÜK PARMAK SAĞ' ACIKLAMA,	29 KOD UNION ALL 
		SELECT 'AYAK BİLEĞİ SOL' ACIKLAMA,	3 KOD UNION ALL 
		SELECT 'EL YÜZÜK PARMAK SOL' ACIKLAMA,	30 KOD UNION ALL 
		SELECT 'KALÇA SAĞ' ACIKLAMA,	31 KOD UNION ALL 
		SELECT 'KALÇA SOL' ACIKLAMA,	32 KOD UNION ALL 
		SELECT 'KARIN' ACIKLAMA,	33 KOD UNION ALL 
		SELECT 'KAŞ SAĞ' ACIKLAMA,	34 KOD UNION ALL 
		SELECT 'KAŞ SOL' ACIKLAMA,	35 KOD UNION ALL 
		SELECT 'KOL SAĞ' ACIKLAMA,	36 KOD UNION ALL 
		SELECT 'KOL SOL' ACIKLAMA,	37 KOD UNION ALL 
		SELECT 'KULAK SAĞ' ACIKLAMA,	38 KOD UNION ALL 
		SELECT 'KULAK SOL' ACIKLAMA,	39 KOD UNION ALL 
		SELECT 'AYAK SAĞ' ACIKLAMA,	4 KOD UNION ALL 
		SELECT 'OMUZ SAĞ' ACIKLAMA,	40 KOD UNION ALL 
		SELECT 'OMUZ SOL' ACIKLAMA,	41 KOD UNION ALL 
		SELECT 'ORAL KAVİTE' ACIKLAMA,	42 KOD UNION ALL 
		SELECT 'PELVİS' ACIKLAMA,	43 KOD UNION ALL 
		SELECT 'SIRT' ACIKLAMA,	44 KOD UNION ALL 
		SELECT 'TORAKS' ACIKLAMA,	45 KOD UNION ALL 
		SELECT 'TÜM VÜCUT' ACIKLAMA,	46 KOD UNION ALL 
		SELECT 'YÜZ SAĞ' ACIKLAMA,	47 KOD UNION ALL 
		SELECT 'YÜZ SOL' ACIKLAMA,	48 KOD UNION ALL 
		SELECT 'AYAK SOL' ACIKLAMA,	5 KOD UNION ALL 
		SELECT 'BACAK SAĞ' ACIKLAMA,	6 KOD UNION ALL 
		SELECT 'BACAK SOL' ACIKLAMA,	7 KOD UNION ALL 
		SELECT 'BAŞ' ACIKLAMA,	8 KOD UNION ALL 
		SELECT 'BEL' ACIKLAMA,	9 KOD 
  ) TBOLGELER
	
	
	SELECT 
		HDOSYA.SUBEID AS HDOSYA_SUBEID,
		SUBELER.SUBEADI AS SUBELER_SUBEADI,
		HDOSYA.SNOTAKIPNO AS HDOSYA_SNOTAKIPNO,		
		--ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') AS SAGLIKNETKURUMKODU	
	    ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

        CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
		  '10000038' 
		ELSE
		   ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

		 CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
		  '3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
		   'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK

	INTO #TMPDOSYA
	FROM
		HDOSYA WITH(NOLOCK)
		LEFT JOIN SUBELER WITH(NOLOCK) ON SUBELER.SUBEID = HDOSYA.SUBEID
	WHERE
		HDOSYA.HDOSYAID = @HDOSYAID		
	
	SELECT ID,VWMUAYENE.HMUAYENEID,VWMUAYENE.HDOSYAID,		
		ISNULL(VWMUAYENE.HMTEDAVI,VWMUAYENE.HMMUAYENE) BULGU_BILGISI,
		ISNULL(VWMUAYENE.HMSIKAYETI,VWMUAYENE.HMHKIKAYESI)  SIKAYET_BILGISI,
		VWMUAYENE.DRAD YONLENDIREN_HEKIM_ADI,
		VWMUAYENE.DRSOYAD YONLENDIREN_HEKIM_SOYADI,
		VWMUAYENE.DRTCKIMLIKNO YONLENDIREN_HEKIM_KIMLIK_NUMARASI,
		VWMUAYENE.KLINIKKODU YONLENDIRME_YAPAN_KLINIK,
		VWMUAYENE.KLINIKADI YONLENDIRME_YAPAN_KLINIK_ADI

		INTO #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT

		FROM USS_286_SAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT I 
		INNER JOIN VWMUAYENE ON VWMUAYENE.HMUAYENEID=I.HMUAYENEID
	WHERE I.HDOSYAID = @HDOSYAID AND (@TUMUNUTEKRAR=1 OR (@TUMUNUTEKRAR=0 AND ISNULL(I.SNOGONDERILDI,0)=1))
	

	SELECT ISL.ID,ISL.DETAYID,VWMUAYENE.HMUAYENEID,VWMUAYENE.HDOSYAID,
		ISL.YONLENDIRILEN_SAGLIK_HIZMET_BIRIMI YONLENDIRILEN_SAGLIK_MESLEK_HIZMET_BIRIMI ,
		(SELECT SAGLIKMESLEKHIZMETBIRIMIADI FROM TSKRSSAGLIKMESLEKHIZMETBIRIMI WHERE SAGLIKMESLEKHIZMETBIRIMIKODU  =ISL.YONLENDIRILEN_SAGLIK_HIZMET_BIRIMI) YONLENDIRILEN_SAGLIK_MESLEK_HIZMET_BIRIMI_ADI,
		ISL.YAPILMASI_ISTENEN_ISLEMIN_BOLGESI ,
		(SELECT ACIKLAMA FROM #TMPBOLGELER WHERE KOD=ISL.YAPILMASI_ISTENEN_ISLEMIN_BOLGESI) YAPILMASI_ISTENEN_ISLEMIN_BOLGESI_ADI,


		FORMAT(ISL.YAPILMASI_ISTENEN_ISLEMIN_TOPLAM_SEANS_SAYISI, '0.00')YAPILMASI_ISTENEN_ISLEMIN_TOPLAM_SEANS_SAYISI,
		-- FORMAT(DozMiktari, '0.##')
		FORMAT(ISL.YAPILMASI_ISTENEN_ISLEMIN_SURESI, '0.00') YAPILMASI_ISTENEN_ISLEMIN_SURESI,
		FORMAT(ISL.YAPILMASI_ISTENEN_ISLEMIN_UYGULAMA_SAYISI, '0.00') YAPILMASI_ISTENEN_ISLEMIN_UYGULAMA_SAYISI,
		FORMAT(ISL.YAPILMASI_ISTENEN_ISLEMIN_DOZU, '0.00') YAPILMASI_ISTENEN_ISLEMIN_DOZU,
		ISL.HEKIM_NOTU,
		ISL.YAPILMASI_ISTENEN_ISLEM_BILGISI,
		(SELECT SAGLIKMESLEKHIZMETBIRIMIUSTISLEMLERIADI FROM TSKRSSAGLIKMESLEKHIZMETBIRIMIUSTISLEMLERI WHERE SAGLIKMESLEKHIZMETBIRIMIUSTISLEMLERIKODU  =ISL.YAPILMASI_ISTENEN_ISLEM_BILGISI) YAPILMASI_ISTENEN_ISLEM_BILGISI_ADI
		

		INTO #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT_ISL

		FROM USS_286_SAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT_ISL ISL 
		INNER JOIN USS_286_SAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT I ON I.ID=ISL.DETAYID 
		INNER JOIN VWMUAYENE ON VWMUAYENE.HMUAYENEID=I.HMUAYENEID
	WHERE I.HDOSYAID = @HDOSYAID AND (@TUMUNUTEKRAR=1 OR (@TUMUNUTEKRAR=0 AND ISNULL(I.SNOGONDERILDI,0)=1))


	SELECT	DISTINCT 
			TICD.ICDKOD AS TICD_ICDKOD,
			TICD.ICDADI AS TICD_ICDADI,
			HDOSYAICD.ICDTURUID AS TICD_ICDTURUID
	INTO #TMPTANI
	FROM HDOSYAICD
		INNER JOIN TICD ON TICD.ICDKOD = HDOSYAICD.ICDKOD
	WHERE HDOSYAICD.ICDMDLKAYDET=1 AND HDOSYAICD.HDOSYAID = @HDOSYAID 

	

	IF (SELECT HDOSYA_SUBEID FROM #TMPDOSYA WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine Hizmet Meslek Birim kaydı yapılamaz. '
			      
	IF (SELECT COUNT(*) FROM #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT) = 0
	BEGIN
		SET @SAYIHATA = 1 
		SET @MESAJ = @MESAJ + 'Hizmet Meslek Birim Kaydı Bulunmadı.'
	END

/*	IF NOT EXISTS(SELECT TELEFONTIPIID FROM #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT )
		SET @HATA =@HATA+  'Telefon tipi bilgisi girilmemiş! '

	IF NOT EXISTS(SELECT TELEFONNO FROM #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT )
		SET @HATA =@HATA+  'Telefon numara bilgisi girilmemiş! '


*/
	IF (SELECT COUNT(*) FROM #TMPDOSYA WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'İşlemin şube kaydı bulunamadı! '

	IF (SELECT HDOSYA_SUBEID FROM #TMPDOSYA WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine Kuduz izlem kaydı yapılamaz. '

	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPDOSYA
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=@HATA+HATA, @MESAJ=@MESAJ+MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END

	IF @HATA = '' AND @SAYIHATA = 0
	BEGIN
	

					
							BEGIN TRY

								INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(
								
											SELECT 
												NEWID() AS 'messageGuid/@value',
												'1' AS 'messageType/@version',
												'0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' AS 'messageType/@codeSystemGuid' ,
												'286' AS 'messageType/@code',
												'Sağlık Meslek Hizmet Birimi Talep' AS 'messageType/@value' ,
												LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) AS  'documentGenerationTime/@value',
												(	 
													 SELECT
														'1' AS  'healthcareProvider/@version',
														 'c3eade04-4f91-5dab-e043-14031b0ac9f9' AS  'healthcareProvider/@codeSystemGuid',
														SAGLIKNETKURUMKODU AS 'healthcareProvider/@code',
														SUBELER_SUBEADI as 'healthcareProvider/@value'  
													 FOR XML PATH('author'), TYPE
												  ),
												  --'C740D0288ED4C45FE0407C0A04162BDD'  AS 'firmaKodu/@value',
												  SNOKTSFIRMAKODU AS 'firmaKodu/@value',
												  (

													 SELECT--RECORD DATA
														(
															SELECT
															   ISNULL(HDOSYA_SNOTAKIPNO,'') AS 'SYSTakipNo/@value'
															FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE
														),
														
														(																														
															SELECT 
															YONLENDIREN_HEKIM_ADI AS 'YONLENDIREN_HEKIM_ADI/@value',
															YONLENDIREN_HEKIM_SOYADI  AS 'YONLENDIREN_HEKIM_SOYADI/@value',
															YONLENDIREN_HEKIM_KIMLIK_NUMARASI AS 'YONLENDIREN_HEKIM_KIMLIK_NUMARASI/@value',

															--<YONLENDIRME_YAPAN_KLINIK version="1" codeSystemGuid="c04bee57-c5d4-443d-e040-7b0a6f146a3d" code="Code" value="YONLENDIRME_YAPAN_KLINIK" />
																'1' AS 'YONLENDIRME_YAPAN_KLINIK/@version',
																'c04bee57-c5d4-443d-e040-7b0a6f146a3d'  AS 'YONLENDIRME_YAPAN_KLINIK/@codeSystemGuid',
																ISNULL(YONLENDIRME_YAPAN_KLINIK,0)		AS 'YONLENDIRME_YAPAN_KLINIK/@code',
																ISNULL(YONLENDIRME_YAPAN_KLINIK_ADI,'') AS 'YONLENDIRME_YAPAN_KLINIK/@value',
															
                                                            SIKAYET_BILGISI AS 'SIKAYET_BILGISI/@value',															
															BULGU_BILGISI AS 'BULGU_BILGISI/@value',
															(
																					SELECT	'1' AS 'TANI_TURU/@version',
																							'55894edb-1a8c-4f7f-a447-0119e61c14f1' AS 'TANI_TURU/@codeSystemGuid',																																													CASE TICD_ICDTURUID
																							WHEN 1 THEN '3'
																							WHEN 2 THEN '1'
																							WHEN 3 THEN '4'
																							ELSE '2' 
																							END AS 'TANI_TURU/@code',
																							CASE TICD_ICDTURUID
																							WHEN 1 THEN 'ÖN TANI'
																							WHEN 2 THEN 'ANA TANI'
																							WHEN 3 THEN 'AYIRICI TANI'
																							ELSE 'EK TANI' 
																							END AS 'TANI_TURU/@value',
																							'1' AS 'ICD10/@version',
																							'c3eaabad-8c4c-56ee-e043-14031b0a5530' AS 'ICD10/@codeSystemGuid',
																							ISNULL(CONVERT(VARCHAR(20), TICD_ICDKOD), '') AS 'ICD10/@code',
																							ISNULL(TICD_ICDADI, '') AS 'ICD10/@value'
																					FROM #TMPTANI
																					FOR XML PATH('TANI_BILGISI'), TYPE
																				),
																				
														(SELECT 
														  --<YONLENDIRILEN_SAGLIK_MESLEK_HIZMET_BIRIMI version="1" codeSystemGuid="bdbf47a0-65de-44c6-b766-fd2f35f1ddf3" code="Code" value="YONLENDIRILEN_SAGLIK_MESLEK_HIZMET_BIRIMI" />
														  '1' AS 'YONLENDIRILEN_SAGLIK_MESLEK_HIZMET_BIRIMI/@version',
														  'bdbf47a0-65de-44c6-b766-fd2f35f1ddf3' AS 'YONLENDIRILEN_SAGLIK_MESLEK_HIZMET_BIRIMI/@codeSystemGuid',
															YONLENDIRILEN_SAGLIK_MESLEK_HIZMET_BIRIMI AS 'YONLENDIRILEN_SAGLIK_MESLEK_HIZMET_BIRIMI/@code',
															YONLENDIRILEN_SAGLIK_MESLEK_HIZMET_BIRIMI_ADI AS 'YONLENDIRILEN_SAGLIK_MESLEK_HIZMET_BIRIMI/@value',
															(SELECT
															
															-- <YAPILMASI_ISTENEN_ISLEMIN_BOLGESI version="1" codeSystemGuid="809e055c-9396-4dfe-b3cc-939722693b03" code="Code" value="YAPILMASI_ISTENEN_ISLEMIN_BOLGESI" />
															'1' AS 'YAPILMASI_ISTENEN_ISLEMIN_BOLGESI/@version',
															'809e055c-9396-4dfe-b3cc-939722693b03' AS 'YAPILMASI_ISTENEN_ISLEMIN_BOLGESI/@codeSystemGuid',
															YAPILMASI_ISTENEN_ISLEMIN_BOLGESI AS 'YAPILMASI_ISTENEN_ISLEMIN_BOLGESI/@code',
															YAPILMASI_ISTENEN_ISLEMIN_BOLGESI_ADI AS 'YAPILMASI_ISTENEN_ISLEMIN_BOLGESI/@value',

															YAPILMASI_ISTENEN_ISLEMIN_TOPLAM_SEANS_SAYISI AS 'YAPILMASI_ISTENEN_ISLEMIN_TOPLAM_SEANS_SAYISI/@value',
															YAPILMASI_ISTENEN_ISLEMIN_SURESI AS 'YAPILMASI_ISTENEN_ISLEMIN_SURESI/@value',
															YAPILMASI_ISTENEN_ISLEMIN_UYGULAMA_SAYISI AS 'YAPILMASI_ISTENEN_ISLEMIN_UYGULAMA_SAYISI/@value',
															YAPILMASI_ISTENEN_ISLEMIN_DOZU AS 'YAPILMASI_ISTENEN_ISLEMIN_DOZU/@value',
															HEKIM_NOTU AS 'HEKIM_NOTU/@value',

								--<YAPILMASI_ISTENEN_ISLEM_BILGISI version="1" codeSystemGuid="c411333c-c7af-4785-8ca7-c1ed42c10c72" code="Code" value="YAPILMASI_ISTENEN_ISLEM_BILGISI" />
															'1' AS 'YAPILMASI_ISTENEN_ISLEM_BILGISI/@version',
															'c411333c-c7af-4785-8ca7-c1ed42c10c72' AS 'YAPILMASI_ISTENEN_ISLEM_BILGISI/@codeSystemGuid',
															YAPILMASI_ISTENEN_ISLEM_BILGISI AS 'YAPILMASI_ISTENEN_ISLEM_BILGISI/@code',
															YAPILMASI_ISTENEN_ISLEM_BILGISI_ADI AS 'YAPILMASI_ISTENEN_ISLEM_BILGISI/@value'
															
															
															FOR XML PATH('UYGULANMASI_ISTENEN_ISLEM_BILGILERI'), TYPE
														)--UYGULANMASI_ISTENEN_ISLEM_BILGILERI

														FROM #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT_ISL
																	
															FOR XML PATH('YONLENDIRILEN_SAGLIK_HIZMET_BIRIMI_BILGILERI'), TYPE
														)
													
																
															FROM #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT
																	
															FOR XML PATH('SAGLIK_HIZMET_TALEP_BILGISI'), TYPE
														)
												  FOR XML PATH('recordData'), TYPE
											  )
	
										FROM #TMPDOSYA 

										FOR XML PATH (''), ROOT('SYSMessage')

									) AS GONDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@HKUDUZRISKLITEMAS AS TABLOID,
									'' AS MINID,
									'' AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS GONDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@HKUDUZRISKLITEMAS AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH				


		

	END
	ELSE
	BEGIN

		INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS GONDERILECEKXML,
				@HATA AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@HKUDUZRISKLITEMAS AS TABLOID,
				0 AS MINID,
				0 AS MAXID	

		SET @HATA = ''	 
	END


	
	IF OBJECT_ID('tempdb..#TMPDOSYA') IS NOT NULL 
		DROP TABLE #TMPDOSYA

	IF OBJECT_ID('tempdb..#TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT') IS NOT NULL 
		DROP TABLE #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT

    IF OBJECT_ID('tempdb..#TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT_ISL') IS NOT NULL 
		DROP TABLE #TMPSAGLIK_HIZMET_MESLEK_BIRIMI_KAYIT_ISL

    IF OBJECT_ID('tempdb..#TMPTANI') IS NOT NULL 
		DROP TABLE #TMPTANI

	SELECT * FROM @GONDERIMTABLOSU


END
